php-mbstring install – version conflict (Cent OS)

SpecialK777 asked:

I am running CentOS 6.3 and I need to install mb-string for PHP. When I attempt to do this I get the following:

[root@pixelark popups]# yum install php-mbstring
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * Webmin: download.webmin.com
 * base: centos.mirrors.hoobly.com
 * epel: epel.mirror.freedomvoice.com
 * extras: mirrors.versaweb.com
 * updates: mirrors.usc.edu
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-mbstring.x86_64 0:5.3.3-23.el6_4 will be installed
--> Processing Dependency: php-common(x86-64) = 5.3.3-23.el6_4 for package: php-mbstring-5.3.3-23.el6_4.x86_64
--> Finished Dependency Resolution
Error: Package: php-mbstring-5.3.3-23.el6_4.x86_64 (updates)
       Requires: php-common(x86-64) = 5.3.3-23.el6_4
       Installed: php-common-5.3.15-1.el6.remi.x86_64 (@remi)
           php-common(x86-64) = 5.3.15-1.el6.remi
       Available: php-common-5.3.3-22.el6.x86_64 (base)
           php-common(x86-64) = 5.3.3-22.el6
       Available: php-common-5.3.3-23.el6_4.x86_64 (updates)
           php-common(x86-64) = 5.3.3-23.el6_4
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

I have done a

yum update

and it is still showing. I have tried updating php in a similar fashion and it says that there are no updates. I do not know what direction I should be going. Should I be trying the two suggestions on the bottom

 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

I dont want to break anything.

My answer:


You installed PHP from the remi repository, but you disabled the repository. So yum can’t install additional packages from it.

To resolve the problem, re-enable the remi repository.

yum-config-manager --enable remi

View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.